Compiling FreeLing-4.0-beta2 on Debian wheezy

Submitted by xgg on Thu, 04/28/2016 - 11:03
Forums

Trying to compile FreeLing-4.0-beta2 on a Debian 7.9 (wheezy) with libboost 1.49, the compilation process fails with an error message about that library:

...
libtool: link: g++ -I../../src/include -I../../src/libtreeler -I../../src/libfoma -O3 -Wall -fPIC -std=gnu++0x -Wall -fPIC -o .libs/analyzer sample_analyzer/main.o -L../../src/libfreeling /home/xgg/FreeLing-4.0-beta2/src/libfreeling/.libs/libfreeling.so -lboost_regex -lboost_system -lz -lboost_program_options -lpthread
sample_analyzer/main.o: In function `boost::program_options::validation_error::validation_error(boost::program_options::validation_error::kind_t, std::string const&, std::string const&, int)':
main.cc:(.text._ZN5boost15program_options16validation_errorC2ENS1_6kind_tERKSsS4_i[_ZN5boost15program_options16validation_errorC5ENS1_6kind_tERKSsS4_i]+0x32): undefined reference to `boost::program_options::validation_error::get_template(boost::program_options::validation_error::kind_t)'
...

Does FreeLing-4.0-beta2 need a libboost greater than 1.49?

Gràcies per endavant!

1.49 should be ok.
I compile it on ubuntu 12, that has boost 1.48, and it works.

I expect to release soon binary packages for wheezy